<?php
//Llamado de configuracion de bd
include 'db.php';

$data=array();

if(!isset($_GET['textobuscar'])){
 
//Declaracion de array coincidentes

 //Sentencia a buscar en tabla visitas
 $q=mysqli_query($conn, "SELECT `IDAVISOSG`, `NOMBRE`,`TITULO`, `FECHAINICIO`, `CREATEAV` FROM `avisostodos`");
while ($row=mysqli_fetch_object($q)){
 $data[]=$row;
 } 
} else{
    //Variables a buscar
$textobuscar = $_GET['textobuscar'];

$q=mysqli_query($conn, "SELECT `IDAVISOSG`, `NOMBRE`,`TITULO`, `FECHAINICIO`, `CREATEAV` FROM `avisostodos`
 WHERE (`TITULO` LIKE '%$textobuscar%' OR `NOMBRE` LIKE '%$textobuscar%')");
while ($row=mysqli_fetch_object($q)){
 $data[]=$row;
 } 
}
echo json_encode($data);


?>

